List latest transactions

Lists the latest transactions on one of the Primary Network chains.

Transactions are filterable by addresses, txTypes, and timestamps. When querying for latest transactions without an address parameter, filtering by txTypes and timestamps is not supported. An address filter must be provided to utilize txTypes and timestamp filters.

Given that each transaction may return a large number of UTXO objects, bounded only by the maximum transaction size, the query may return less transactions than the provided page size. The result will contain less results than the page size if the number of utxos contained in the resulting transactions reach a performance threshold.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required

A primary network blockchain id or alias.

string
enum
required

Either mainnet or a testnet.

Allowed:
Query Params
string
required

A comma separated list of X-Chain or P-Chain wallet addresses, starting with "avax"/"fuji", "P-avax"/"P-fuji" or "X-avax"/"X-fuji". Also accepts EVM formatted addresses starting with "0x" for C-Chain-related atomic transaction lookups.

txTypes
array of objects

Query param for filtering items based on transaction types.

txTypes
integer
≥ 0

Query param for retrieving items after a specific timestamp.

integer
≥ 0

Query param for retrieving items before a specific timestamp.

string

A page token, received from a previous list call. Provide this to retrieve the subsequent page.

integer
1 to 100
Defaults to 10

The maximum number of items to return. The minimum page size is 1. The maximum pageSize is 100.

string
enum

The order by which to sort results. Use "asc" for ascending order, "desc" for descending order. Sorted by timestamp or the sortBy query parameter, if provided.

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json